Subject: bug#24585: 25.1; avoid hack in ggtags.el to run compilation-auto-jump timer

From: Stefan Monnier <[email-masked]>
Date: Fri, 04 Sep 2020 10:29:15 -0400

> This was the final message in this bug report, but looking at the patch
> that supposedly fixes the problem, I don't understand how it makes a
> difference: Putting (match-beginning) in a buffer-local variable
> instead of passing it in directly seems like a no-op?

This was too long ago and got moved to write-only swap space, and
I haven't had time to dig into it now to recover the lost context, but
I can see a potential case where it makes a difference, which is if the
timer is set multiple times before it gets a chance to be run: with the
new code only one of the timers will actually be executed.

> Checking whether the buffer is alive in compilation-auto-jump seems like
> a good idea, though (any async function that switches to a buffer should
> check whether it's alive first).

Indeed,

        Stefan